A I settings
Update ai voice preset
Update the supplied fields of an editable AI writing-style preset.
PATCH
/v1/agencies/{agencyId}/voice-presets/{presetId}Update the supplied fields of an editable AI writing-style preset.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthpresetId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/voice-presets/string" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "data": {} }'{ "data": { "description": null, "id": "string", "createdAt": "2019-08-24T14:15:22Z", "name": "string", "updatedAt": "2019-08-24T14:15:22Z", "prompt": "string", "casualEmojis": [ "string" ], "sextingEmojis": [ "string" ], "negociationEmojis": [ "string" ], "presetType": "BUILTIN", "createdByAgencyId": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}